Subject: Re: Significant performance waste in git-svn and friends

From: Steven Grimm <[email-masked]>
Date: Thu, 06 Sep 2007 23:28:17 -0700

Shawn O. Pearce wrote:
> What will happen is you will get a packfile per git-svn fetch, so
> if you fetch 5 times that day you will get 5 packfiles that day.
> But you could also get 5 packfiles from git-fetch if each of those
> fetches brought in 100 or more new objects.  So it really is not
> that big of a deal.
>
> At some point the number of packfiles gets out of control, but so
> does the number of loose objects.  Repacking is the obvious fix in
> both cases.

This dovetails nicely with the "git gc --auto" work in progress, 
particularly the recent patch to pack small packfiles together when 
there get to be too many of them; run that at the end of every git-svn 
fetch and the problem goes away.

-Steve